Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.dispatcher.ng.filter
Class StrutsPrepareAndExecuteFilter

    java.lang.Object
      org.apache.struts2.dispatcher.ng.filter.StrutsPrepareAndExecuteFilter

All Implemented Interfaces:
  javax.servlet.Filter, StrutsStatics

    public class StrutsPrepareAndExecuteFilter

extends Object
implements StrutsStatics, javax.servlet.Filter

Handles both the preparation and execution phases of the Struts dispatching process. This filter is better to use when you don't have another filter that needs access to action context information, such as Sitemesh.

Field Summary
`protected List<Pattern>` | `excludedPatterns`
`protected ExecuteOperations` | `execute`
`protected PrepareOperations` | `prepare`

Fields inherited from interface org.apache.struts2.StrutsStatics
`HTTP_REQUEST, HTTP_RESPONSE, PAGE_CONTEXT, SERVLET_CONTEXT, SERVLET_DISPATCHER, STRUTS_ACTION_TAG_INVOCATION, STRUTS_PORTLET_CONTEXT`

Constructor Summary
`StrutsPrepareAndExecuteFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res, javax.servlet.FilterChain chain)`
`void` | `init(javax.servlet.FilterConfig filterConfig)`
`protected void` | `postInit(Dispatcher dispatcher, javax.servlet.FilterConfig filterConfig)` Callback for post initialization

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### prepare

    protected PrepareOperations prepare

### execute

    protected ExecuteOperations execute

### excludedPatterns

    protected List<Pattern> excludedPatterns

Constructor Detail

### StrutsPrepareAndExecuteFilter

    public StrutsPrepareAndExecuteFilter()

Method Detail

### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

### postInit

    protected void postInit(Dispatcher dispatcher,
                            javax.servlet.FilterConfig filterConfig)

  Callback for post initialization

### doFilter

    public void doFilter(javax.servlet.ServletRequest req,
                         javax.servlet.ServletResponse res,
                         javax.servlet.FilterChain chain)
                  throws IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `IOException`
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.